﻿@model Instantly.Models.Order

@{
    ViewData["Title"] = "Edit";
}
<div class="container">
    <h1>Редагування</h1>

    <h4>Вашого замовлення</h4>
    <hr />
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Edit" enctype="multipart/form-data">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input type="hidden" asp-for="OrderId" />
                <div class="form-group">
                    <label asp-for="Title" class="control-label">Заголовок</label>
                    <input asp-for="Title" class="form-control" />
                    <span asp-validation-for="Title" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="About" class="control-label">Деталі замовлення</label>
                    <textarea asp-for="About" class="form-control" rows="5" wrap="soft"></textarea>
                    <span asp-validation-for="About" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Price" class="control-label">Ціна</label>
                    <input asp-for="Price" class="form-control" />
                    <span asp-validation-for="Price" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="AttachmentId" class="control-label">Додаток</label>
                    <input type="file" name="uploadedFile" value="" />
                </div>
                <div class="form-group">
                    <label asp-for="TagId" class="control-label">Категорія</label>
                    <select asp-for="TagId" class="form-control" asp-items="ViewBag.TagId"></select>
                </div>
                <div class="form-group">
                    <input type="hidden" asp-for="ClientUserId" value="@ViewBag.ClientUserId" />
                </div>
                <div class="form-group">
                    <input type="submit" value="Зберегти" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>

    <div>
        <a asp-action="Index">Повернутися назад</a>
    </div>

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</div>
